Subject: Re: [PATCH 3/3] perf trace powerpc: Use generated syscall table

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Mon, 29 Jan 2018 11:33:20 +0100

Em Mon, Jan 29, 2018 at 02:04:17PM +0530, Ravi Bangoria escreveu:
> +++ b/tools/perf/util/syscalltbl.c
> @@ -30,6 +30,10 @@
>  #include <asm/syscalls_64.c>
>  const int syscalltbl_native_max_id = SYSCALLTBL_S390_64_MAX_ID;
>  static const char **syscalltbl_native = syscalltbl_s390_64;
> +#elif defined(__powerpc64__)
> +#include <asm/syscalls_64.c>
> +const int syscalltbl_native_max_id = SYSCALLTBL_POWERPC_64_MAX_ID;
> +static const char **syscalltbl_native = syscalltbl_powerpc_64;
>  #endif

This is so cool! Thanks!

At some point we'll remove these #elif, have all of then linked, so that
we can do cross-platform interpreting of perf.data files generated with
'perf trace record', i.e. 'perf trace -i perf.data.recorded.on.s390' on
a powerpc64 or x86 machine.

We're paving the way to that with patches like yours and those for
s/390, thanks again!

- Arnaldo